import {Component, OnInit} from '@angular/core';
import {PersonModel} from "../models";
import {DataService} from "./services/data.service";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {
  private readonly nbPerson: number = 10;

  private persons: PersonModel[] = [];

  constructor(private dataService: DataService) {

  }

  async ngOnInit(): Promise<any> {
    this.persons = await this.dataService.getPersons();
  }
}
